org.apache.hadoop.yarn.api.protocolrecords

## Class GetNewReservationRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetNewReservationRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetNewReservationRequest
      extends Object

  The request sent by clients to get a new `ReservationId` for submitting an reservation.

  `ApplicationClientProtocol#getNewReservation(GetNewReservationRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetNewReservationRequest()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetNewReservationRequest` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetNewReservationRequest

          public GetNewReservationRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static GetNewReservationRequest newInstance()

Copyright © 2022 Apache Software Foundation. All rights reserved.